package com.bwie.auth.feign;


import com.bwie.auth.feign.factory.UserFeignFactory;
import com.bwie.common.domain.response.UserLoginResp;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(value = "bwie-system",fallbackFactory = UserFeignFactory.class )
public interface UserFeign {
    @PostMapping("user/findByTel/{userTel}")
    public Result<UserLoginResp> findByTel(@PathVariable String userTel);
}
