package com.bwie.auth.service;

import com.bwie.common.domain.request.UserLoginReq;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.domain.response.UserLoginResp;

import javax.servlet.http.HttpServletRequest;

public interface AuthService {
    /**
     * 发送验证码
     * @param req
     * @return
     */

    void getCode(UserLoginReq req);

    JwtResponse login(UserLoginReq req);

    UserLoginResp info(HttpServletRequest req);
}
