package com.bwie.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Recruitment {
    /**
     * 主键
     */
    private Integer id;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 描述
     */
    private String postDesc;
    /**
     * 薪资 最少
     */
    private Integer startMoney;
    /**
     * 薪资 最大
     */
    private Integer endMoney;
    /**
     * 企业编号
     */
    private Integer firmId;
    /**
     * 发布时间
     */
    private Date publishTime;
    /**
     * 候选人数
     */
    private Integer number;
    /**
     * 状态
     */
    private Integer status;
}
