package com.bwie.common.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class User {
    /**
     * 编号
     */
    private Integer userId;
    /**
     * 姓名
     */
    private String userName;
    /**
     * 电话
     */
    private String userTel;
    /**
     * 希望岗位
     */
    private String post;
    /**
     * 投递数量
     */
    private Integer number;
    /**
     * 最近投递时间
     */
    private Date latestTime;
}
