package com.bwie.feign;


import com.bwie.feign.factory.UserFeignFactory;
import com.bwie.common.domain.response.UserLoginResp;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(value = "bwie-system",fallbackFactory = UserFeignFactory.class )
public interface UserFeign {
    @PostMapping("user/updNumber/{userId}")
    public void updNumber(@PathVariable String userId);
}
