package com.bwie.feign.factory;

import com.bwie.feign.UserFeign;
import com.bwie.common.domain.response.UserLoginResp;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class UserFeignFactory implements FallbackFactory<UserFeign> {
    @Override
    public UserFeign create(Throwable cause) {
        return new UserFeign() {
            @Override
            public void updNumber(String userId) {
                return;
            }
        };
    }
}
