package com.bwie.mapper;

import com.bwie.common.domain.Recruitment;
import com.bwie.common.domain.request.RecruitmentListReq;
import com.bwie.common.domain.response.DictionaryResp;
import com.bwie.common.domain.response.RecruitmentListResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RecruitmentMapper {
    List<RecruitmentListResp> findList(RecruitmentListReq req);

    List<Recruitment> selectTimeGtTen();

    void updStatus(@Param("recruitments") List<Recruitment> recruitments);

    List<Recruitment> findAll();

    int count(Integer firmId);

    List<RecruitmentListResp> latest();

    void updNumber(Integer recruitmentId);
}
