package com.bwie.controller;

import com.bwie.common.domain.response.UserLoginResp;
import com.bwie.common.result.Result;
import com.bwie.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("user")
public class UserController {
    @Autowired
    private UserService userService;

    @PostMapping("/findByTel/{userTel}")
    public Result<UserLoginResp> findByTel(@PathVariable String userTel){
        return Result.success(userService.findByTel(userTel));
    }
    @PostMapping("/updNumber/{userId}")
    public void updNumber(@PathVariable String userId){
        userService.updNumber(userId);
    }


}
