package com.bwie.common.domain.response;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CandidateResp {
    /**
     * 编号
     */
    private Integer id;
    /**
     * 招聘信息
     */
    private Integer recruitmentId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 用户
     */
    private Integer userId;
    /**
     * 姓名
     */
    private String userName;
    /**
     * 电话
     */
    private String userTel;
    /**
     * 希望岗位
     */
    private String post;
    /**
     * 期望薪资
     */
    private String money;
    /**
     * 投递时间
     */
    private Date time;
    /**
     * 状态
     */
    private Integer status;

}
