package com.bwie.common.handler;

import com.bwie.common.exception.AllException;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@Log4j2
@RestControllerAdvice
public class AllExceptionHandler {

    @ExceptionHandler(AllException.class)
    public Result AllExceptionHandler(Exception e){
        log.error(e.getMessage(),e);
        return Result.error(e.getMessage());
    }
}
