package com.bwie.mapper;

import com.bwie.common.domain.Candidate;
import com.bwie.common.domain.request.CandidateAddReq;
import com.bwie.common.domain.response.CandidateResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CandidateMapper {

    int addCandidate(Candidate build);

    Candidate selectByUserIdAndRecruitmentId(@Param("userId") Integer userId, @Param("recruitmentId") Integer recruitmentId);

    List<CandidateResp> findList();

    int examine(@Param("id") Integer id, @Param("status") Integer status);
}
