package com.bwie.mapper;

import com.bwie.common.domain.Dictionary;
import com.bwie.common.domain.response.DictionaryResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface DictionaryMapper {
    @Select("select * from t_dictionary where dictionary_type=#{dictionaryType}")
    List<DictionaryResp> findByType(String dictionaryType);

    @Select("select * from t_dictionary where id=#{firmId}")
    Dictionary findById(Integer firmId);
}
